.nut-cu-gust-snackbar {
  background-color: #333;
  bottom: -60px;
  border-radius: 2px;
  color: #fff;
  display: flex;
  font-size: 17px;
  left: calc(50% - 150px);
  padding: 16px;
  position: fixed;
  text-align: center;
  opacity: 0;
  transition: bottom 0.35s ease, opacity 0.3s ease;
  width: 300px;
  z-index: 1000000;
}
.nut-cu-gust-snackbar .nut-cu-gust-spinner-inner {
  border: 3px solid #f3f3f3; /* Light grey */
  border-top: 3px solid grey; /* Blue */
  display: none;
  height: 15px;
  margin: 0 10px 0 0;
  width: 15px;
}
.nut-cu-gust-snackbar.show {
  bottom: 40px;
  opacity: 1;
  transition: bottom 0.35s ease, opacity 0.3s ease;
}

body.nut-cu-gust-no-scroll-spinner, html.nut-cu-gust-no-scroll-spinner {
  overflow: hidden;
}

.nut-cu-gust-spinner {
  background: lightgrey;
  display: block;
  left: 0;
  height: 10000px;
  position: absolute;
  opacity: 0.9;
  overflow: hidden;
  top: 0;
  width: 100vw;
  z-index: 1000;
}
.nut-cu-gust-spinner > div {
  position: absolute;
  text-align: center;
  left: 0;
  height: 100vh;
  width: 100%;
}
.nut-cu-gust-spinner > div div.text {
  margin-top: 15px;
}

div.nut-cu-gust-spinner-inner, span.nut-cu-gust-spinner-inner {
  animation: spin 2s linear infinite;
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #506858; /* Blue */
  border-radius: 50%;
  height: 120px;
  margin: 40vh auto 0 auto;
  width: 120px;
}

span.nut-cu-gust-spinner-inner {
  border: 2px solid #f3f3f3; /* Light grey */
  border-top: 2px solid #506858; /* Blue */
  display: inline-block;
  height: 16px;
  margin: 0;
  width: 16px;
}

div.nut-cu-gust-spinner-text {
  background-color: #506858;
  border-radius: 10px;
  color: white;
  display: none;
  opacity: 1;
  padding: 5px 10px;
  margin-top: 5px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
body {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  margin: 0;
}